#version 110

uniform sampler2D anisoTex;
uniform float test=1.0;

#define PI 3.1415926

float safe_atan(float x, float y) {
  float angle=0.0;
	if (x<1e-6) angle=(y<0.0? -0.5*PI : 0.5*PI);
  else angle=atan(y/x);
  
  return angle;
}

void main() {
  vec2 uvCoords=vec2(gl_TexCoord[0]);
  
  vec2 anisoVec=texture2D(anisoTex, uvCoords).xz;
  anisoVec=anisoVec-vec2(0.5, 0.5);

	float angle=0.0;
	
	if (anisoVec.x>0.0) {  
	  angle=safe_atan(anisoVec.x, anisoVec.y);
  } else {
    angle=PI-safe_atan(-anisoVec.x, anisoVec.y);
  }
  
  if (angle<0.0) angle+=2.0*PI;
  
  float rot=angle/(2.0*PI);
  
  gl_FragColor=vec4(rot, rot, rot, 1.0);
}
